Bug 225967 - dns/dnscrypt-wrapper: Upgrade to 0.4.1
Summary: dns/dnscrypt-wrapper: Upgrade to 0.4.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Sunpoet Po-Chuan Hsieh
URL: https://github.com/cofyc/dnscrypt-wra...
Keywords:
Depends on:
Blocks:
 
Reported: 2018-02-17 01:08 UTC by freebsd
Modified: 2018-03-13 20:42 UTC (History)
1 user (show)

See Also:
freebsd: maintainer-feedback+


Attachments
patch to update version to 0.4.0 (851 bytes, patch)
2018-02-17 01:08 UTC, freebsd
no flags Details | Diff
patch to update version to 0.4.1 (851 bytes, patch)
2018-02-28 07:38 UTC, freebsd
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description freebsd 2018-02-17 01:08:04 UTC
Created attachment 190709 [details]
patch to update version to 0.4.0

This patch just updates the dnscrypt-wrapper port to version 0.4.0
Comment 1 freebsd 2018-02-28 07:38:17 UTC
Created attachment 191071 [details]
patch to update version to 0.4.1
Comment 2 Will 2018-03-12 05:39:17 UTC
Apologies if this ticket was held up waiting for me to provide feedback, I checked and saw it was assigned to Sunpoet so I thought it wasn't in my hands. Only after I got another e-mail reminding me about it did I look closer and notice the "maintainer-feedback" flag separate from that.

I applied the attached patch, and it seems to build and run correctly. Looks good to me, thanks!
Comment 3 commit-hook freebsd_committer 2018-03-13 20:32:37 UTC
A commit references this bug:

Author: sunpoet
Date: Tue Mar 13 20:31:59 UTC 2018
New revision: 464425
URL: https://svnweb.freebsd.org/changeset/ports/464425

Log:
  Update to 0.4.1

  Changes:	https://github.com/cofyc/dnscrypt-wrapper/releases
  		https://github.com/cofyc/dnscrypt-wrapper/blob/master/CHANGELOG.md
  PR:		225967
  Submitted by:	<freebsd@seby.io>
  Approved by:	Will <freebsd@toyingwithfate.com> (maintainer)

Changes:
  head/dns/dnscrypt-wrapper/Makefile
  head/dns/dnscrypt-wrapper/distinfo
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2018-03-13 20:42:27 UTC
Committed. Thanks!